.apointer { cursor:pointer; }
.container-extra {
height:100%;
width:100%;
display:grid;
grid-template-columns: repeat(3, 1fr);
gap:20px;
padding:20px;
height:auto;
}

.existingData p, .modData p, .newData p {
height:30px;
}

.modData p i {
padding:5px 8px;
border:solid 1px #3399ff;
border-radius:8px;;
}

.modData p i:hover {
cursor:pointer;
background-color:#66ccff;
color:#cc0066;
font-weight:bold;
}
.newfirstName, .newlastName, .newAddress,
.newPayType, .newAccNum, .newPword, .newProfilePhoto {
display:none;
}

.newPword {
  position: relative;
}
.newPword.show {
  display: flex;
  align-items: center;
}
.newPword input[type="password"] {
  padding-right: 40px;
  width: 100%;
}
.toggle-password-edit {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  /* Prevent the icon from interfering with input click */
  pointer-events: none;
}
#tPW {
  pointer-events: auto; /* Make only the icon clickable */
}

.selectedBG {
background-color:#d1d1e0;
color:#00b300;
}
.selectnoBG {
background-color:#fefefe;
}
#newProfilePhoto {
display:none;
}
.upIcon {
margin-top:-10px;
margin-right:16px;
font-size:40px;
color:DodgerBlue;
}
.contactadm {
width:100%;
display:grid;
  gap: 10px;
  padding:10px;
align-items: center;
}
.admMess {
margin:auto;
max-width:400px;
width:100%;
height:max-content;
min-height:60px;
margin-top:80px;
margin-bottom:6px;
border:solid DodgerBlue 1px;
border-radius:5px;
padding:2px 5px;
text-align:left;
}
#admMess:empty::before {
    content: 'Your Message';
    color: gray;
    font-style: italic;
}
.admMessE {
margin:auto;
max-width:400px;
width:100%;
height:max-content;
min-height:30px;
margin-bottom:6px;
border:solid DodgerBlue 1px;
border-radius:5px;
padding:2px 5px;
text-align:left;
}
#admMessE:empty::before {
    content: 'Your Email';
    color: gray;
    font-style: italic;
}
.admSend {
margin:auto;
margin-top:10px;
border-radius:6px;
border:solid 1px DodgerBlue;
padding:8px 5px;
color:DodgerBlue;
}
.admSend:hover {
cursor:pointer;
background-color:#d1d1e0;
color:#00b300;
font-weight:bold;
border:none;
}
/*----------------*/
.content-nav-content {
  display: flex;
  justify-content: flex-start;
  padding-left: 10%;
  width: 100%;
  gap:30px;
}

.content-nav-content > div {
padding:5px 7px;
border-radius:5px;
display:inline-block;
}
.content-nav-content > div:hover {
cursor:pointer;
color:green;
background-color:d1d1e0;
}
.playlist-container, .individual-video-container {
position:relative;
width:100%;
}
.playlist-container-create {
position:relative;
width:100%;
height:auto;
text-align:left;
}
.create-playlist {
position:relative;
margin-left:40px;
top:12px;
border-radius:6px;
color:gray;
width:max-content;
padding:5px 7px;
}
.create-playlist-go:hover {
cursor:pointer;
background-color:gray;
color:Blue;
}
.su, .ca, .create-playlist-go {
border-radius:6px;
padding:5px 7px;
cursor:pointer;
border:solid 1px DodgerBlue;
}
.su {
margin-left:20px;
}
.su:hover {
background-color:#ffff4d;
color:blue;
}
.ca:hover {
background-color:#ffff4d;
color:#ff0000;
}
.newPlaylistName {
position:relative;
margin-left:12px;
top:12px;
border-bottom:solid 1px blue;
padding:5px 7px;
outline:none;
width:max-content;
max-width:100%;
}
.newPlaylistName:empty::before {
  content: 'Enter New Playlist Name';
  color: #999; /* Placeholder text color */
  pointer-events: none; /* Allows clicking through the pseudo-element */
  user-select: none; /* Prevents text selection */
}
.table-top {
font-weight:bold;
margin-bottom:40px;
}
.table-top > *:nth-child(1) {
padding-left:10%;
text-align:left;
justify-self:start;
}
.playlist-inner-container {
margin-top:20px;
width:100%;
display:grid;
grid-template-columns:5fr 0.8fr 0.8fr 0.8fr 0.8fr 0.8fr;
gap:16px;
}
.video-inner-container {
margin-top:10px;
width:100%;
display:grid;
grid-template-columns:4.6fr 0.8fr 0.7fr 0.7fr 0.6fr 0.6fr 0.6fr 0.6fr;
gap:16px;
}
.playlist-individual, .video-individual {
width:100%;
display:grid;
grid-template-columns:140px auto;
gap:10px;
}
.playlist-individual > *:nth-child(2), .video-individual > *:nth-child(2) {
margin-left:20px;
    text-align: left;
    justify-self: start;
}
.playlist-info p, .video-info p {
margin-top:6px;
}
.limit-text1 {
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor:pointer;
}
.limit-text2 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor:pointer;
}
.limit-text3 {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor:pointer;
}
.lighter-text {
  color: #4d4d4d;
}
.video-published {
  color: #00cc00;
}
.video-privacy-private, .playlist-privacy-private {
    color: red;
}
.video-privacy-public, .playlist-privacy-public {
    color: blue;
}
.setheight {
height:max-content;
}
.tooltip {
  position: absolute;
  background: #f5f5b5;
  border: 1px solid #ddd;
  border-radius:6px;
  padding: 5px 7px;
  z-index: 9;
}
.tooldata {
  position: absolute;
  background: #f5f5b5;
  border: 1px solid #ddd;
  border-radius:6px;
  padding: 5px 7px;
  z-index: 10;
  max-width: 100%;
  word-wrap: break-word;
  overflow-wrap: break-word;
}
.upDateMenu {
position:relative;
padding-top:5px;
}
.upDateMenu > *:nth-child(2) {
margin-left:20px;
}
.upDate, .canCel {
position:relative;
border:solid 1px LightBlue;
border-radius:6px;
margin-top:5px;
padding:4px 6px;
}
.upDate:hover {
cursor:pointer;
color:green;
}
.canCel:hover {
cursor:pointer;
color:red;
}
.tooldata-input {
margin-top:10px;
line-height:130%;
}
.tooldata-input .placeholder {
  color: #999;
}
.tooldata-input {
  min-height: 1em;
  padding:4px 6px;
}

.tooldata-input.empty::before {
  content: 'Add a description here';
  color: #999; /* Placeholder text color */
  pointer-events: none; /* Allows clicking through the pseudo-element */
  user-select: none; /* Prevents text selection */
}
.tooldata-plpo, .tooldata-pupr {
text-align:center;
}
.tooldata-plpo > p:nth-child(2), .tooldata-pupr > p:nth-child(2) {
margin-left:10px;
}
.tooldata-plpo p, .tooldata-pupr p, .tooldata-dateTime {
display:inline-block;
margin-top:12px;
margin-bottom:4px;
}
.viewed-comments {
position:relative;
top:10%;
margin-left:auto;
margin-right:auto;
width:90%;
height:auto;
background-color:#fefefe;
padding:20px 20px;
}

